Bug 130123 - Expert configuration: Table lacks column resizing capabilities
Summary: Expert configuration: Table lacks column resizing capabilities
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-22 13:37 UTC by Heiko Tietze
Modified: 2020-02-20 20:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-01-22 13:37:54 UTC
For example, I search for StartCenter and get some StartCenterThumbnail.... properties. There is no way to read the full name, neither it's possible to resize the column nor a tooltip shows the full name or the dialog to change the property shows the name in the title.
Comment 1 Xisco Faulí 2020-02-17 15:57:41 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 28d844a589e52abfe62dc66b888e78665221ba28
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-02-17 16:07:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c6bee0aad804c32a4367adc04878648427b06b5a

author	Caolán McNamara <caolanm@redhat.com>	2019-09-29 17:29:28 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-30 20:32:06 +0200
commit	c6bee0aad804c32a4367adc04878648427b06b5a (patch)
tree	4eef246a8cc9b8fb75719e7b92c55bfb3a755f6c
parent	2b407a8a9a34423434a1272b9571db8ea0abfa36 (diff)
weld CuiAboutConfigTabPage

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2020-02-17 20:37:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a8c86703cde7ab167cb37dc6e175396542cb80b5

Resolves: tdf#130123 let the expert config columns be resizable

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-02-17 20:39:05 UTC
fixed in master, backport to 6-4 in gerrit
Comment 5 Commit Notification 2020-02-17 20:50:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b07ff17bd08d6f864b017732ad62a1a68fcf22c1

Resolves: tdf#130123 let the expert config columns be resizable

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.